Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class AbstractListJavadocOptionFileOption<T extends java.util.List>

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<T>
          org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption<T>

All Implemented Interfaces:
  JavadocOptionFileOption<T>, OptionLessJavadocOptionFileOption<T>

Direct Known Subclasses:
  MultilineStringsJavadocOptionFileOption, PathJavadocOptionFileOption, StringsJavadocOptionFileOption

    public abstract class AbstractListJavadocOptionFileOption<T extends java.util.List>

extends AbstractJavadocOptionFileOption<T>

Field Summary
`protected java.lang.String` | `joinBy`

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`option, value`

Constructor Summary
`protected` | `AbstractListJavadocOptionFileOption(java.lang.String option, java.lang.String joinBy)`
`protected` | `AbstractListJavadocOptionFileOption(java.lang.String option, T value, java.lang.String joinBy)`

Method Summary
`T` | `getValue()`
`void` | `setValue(T value)`
`void` | `write(JavadocOptionFileWriterContext writerContext)`
`protected abstract void` | `writeCollectionValue(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`getOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### joinBy

    protected java.lang.String joinBy

Constructor Detail

### AbstractListJavadocOptionFileOption

    protected AbstractListJavadocOptionFileOption(java.lang.String option,
                                                  java.lang.String joinBy)

### AbstractListJavadocOptionFileOption

    protected AbstractListJavadocOptionFileOption(java.lang.String option,
                                                  T value,
                                                  java.lang.String joinBy)

Method Detail

### getValue

    public T getValue()

  Specified by:
    `getValue` in interface `OptionLessJavadocOptionFileOption<T extends java.util.List>`
  Overrides:
    `getValue` in class `AbstractJavadocOptionFileOption<T extends java.util.List>`

### setValue

    public void setValue(T value)

  Specified by:
    `setValue` in interface `OptionLessJavadocOptionFileOption<T extends java.util.List>`
  Overrides:
    `setValue` in class `AbstractJavadocOptionFileOption<T extends java.util.List>`

### write

    public void write(JavadocOptionFileWriterContext writerContext)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCollectionValue

    protected abstract void writeCollectionValue(JavadocOptionFileWriterContext writerContext)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD